# KungFu - A GStreamer based DVD ripper
# Copyright (C) 2006 Jason Gerard DeRose <jderose@jasonderose.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

import gtk

ICON_SIZE = gtk.ICON_SIZE_LARGE_TOOLBAR
PADDING = 2 # pixels

VIDEOSIZE = {
	'size_full': (1, 1),
	'size_large': (5, 6),
	'size_medium': (2, 3),
	'size_small': (1, 2),
}

# If you want KungFu to use a different audio decoder (say from ffmpeg),
# change these mappings here:
AUDIODEC = {
	'audio/x-ac3': 'a52dec',
	'audio/x-dts': 'dtsdec',
	'audio/x-lpcm': 'dvdlpcmdec',
	'audio/mpeg': 'mad',
}

MIN_DURATION = 60 # seconds

